<div class="d-flex justify-content-end mb-3">
    <a nbButton status="success" shape="semi-round" routerLink="add" style="max-width: 400px">
      <nb-icon icon="plus-outline"></nb-icon>{{ "POLICY.BUTTONS.ADD_POLICY" | translate }}
    </a>
</div>
  
  <div>
    <nb-card>
      <nb-card-body>
        <mat-table matSort matSortActive="id" matSortDirection="asc" matSortDisableClear [dataSource]="policies">
          <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header>ID</mat-header-cell>
            <mat-cell *matCellDef="let policy">{{ policy.id }}</mat-cell>
          </ng-container>
          <ng-container matColumnDef="name">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Name</mat-header-cell>
            <mat-cell *matCellDef="let policy">{{ policy.name }}</mat-cell>
          </ng-container>
          <ng-container matColumnDef="kind">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Kind</mat-header-cell>
            <mat-cell *matCellDef="let policy">{{ policy.kind?.name }}</mat-cell>
          </ng-container>
          <ng-container matColumnDef="actions">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Action</mat-header-cell>
            <mat-cell *matCellDef="let policy">
              <a nbButton status="success" shape="semi-round" [routerLink]="['edit', policy.id]" style="max-width: 400px">
                <nb-icon icon="edit-outline"></nb-icon>{{"POLICY.BUTTONS.EDIT" | translate}}
              </a>
            </mat-cell>
          </ng-container>
          <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
          <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
        </mat-table>
      </nb-card-body>
    </nb-card>
  </div>